Bug 10529 - Dollar sign hardcoded in patron message
Summary: Dollar sign hardcoded in patron message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-02 13:16 UTC by Colin Campbell
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (1.63 KB, patch)
2013-07-04 11:43 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 10529: Remove hardcoded dollar from patron message (1.67 KB, patch)
2013-07-07 04:11 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10529: Remove hardcoded dollar from patron message (1.73 KB, patch)
2013-07-12 17:16 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2013-07-02 13:16:40 UTC
The routine patronflags in C4::Members sets messages if patron owes or is credited with an amount of money. Unfortunately for those of us not using dollars as our currency. The amounts appearing in these messages is hardcoded to be preceded by $ it should be more sensitive to the configuration.

One of the places this message is displayed is on self issue machines, which being public facing cause libraries some embarrasment
Comment 1 Colin Campbell 2013-07-04 11:43:57 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-07-07 04:11:17 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-07-12 17:16:22 UTC
Created attachment 19609 [details] [review]
Bug 10529: Remove hardcoded dollar from patron message

The message fields which are returned in the SIP
Screen message field in a Patron Information response
had dollar hardcoded.
It would be possible to get the symbol from currency
but omitting any symbol would be consistent with the UI
and avoid problems with devices using weird encodings
for local currency symbols (e.g. the many variations
of UK Pound sign)

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Galen Charlton 2013-07-12 20:28:36 UTC
Pushed to master.  Thanks, Colin!
Comment 5 Tomás Cohen Arazi 2013-07-16 20:02:28 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Colin!
Comment 6 Bernardo Gonzalez Kriegel 2013-08-04 19:13:13 UTC
This does not apply cleanly to 3.10.x, please submit one formatted for 3.10.x.